User Interface - Bug #2477

Feature # 2252 (Closed): implement GUI client support

Feature # 2446 (Closed): implement BUTTON and IMAGE GUI widgets (runtime and conversion support)
button remains pressed when it should not
01/06/2015 05:43 PM - Greg Shah

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Eugenie Lyzenko % Done: 0%
Category: Estimated time: 0.00 hour
Target version: GUI Support for a Complex ADM2 App

billable: No case_num:

vendor_id: GCD

Description

History

#1 - 01/06/2015 05:43 PM - Greg Shah

Sometimes button seems to lose track of mouse events. Perhaps it has something to do with dragging and then releasing the mouse outside of the
button, but I'm not sure. When this occurs, the mouse will stay pressed and will not release even though the mouse button is no longer being held
down. You have to click and release the mouse on the button again to get it to fix itself.

#2 - 03/31/2015 08:09 PM - Eugenie Lyzenko
- File evl_upd20150331a.zip added

The root cause | think is the fact when drag event occurs on GUI button the button itself does not get the mouse exit event until button is released
even if the mouse pointer is far away from the button was pressed. The attached fix for review solves this issue releasing button just after the pointer
leaving the button border even if the mouse button is pressed. This change to ButtonGuilmpl.java is planned to be included into new approach fix for
future #2480 GO/CHOOSE events update. This update is for review only.

#3 - 04/01/2015 09:09 AM - Greg Shah
Code Review evl_upd20150331a.zip

I'm good with the solution. Please include it in your next update for #2480.

#4 - 04/09/2015 07:54 AM - Greg Shah
- Status changed from New to Closed

- Target version set to Milestone 12

#5 - 11/16/2016 12:12 PM - Greg Shah
- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App

Files

evl_upd20150331a.zip 240 KB 04/01/2015 Eugenie Lyzenko

04/29/2024 1/1



https://proj.goldencode.com/issues/2480
https://proj.goldencode.com/issues/2480
http://www.tcpdf.org

